# TODO:
# - Package icu-sword and add bcond for it here
#
# Conditional build:
%bcond_without	clucene		# Lucene searching support
%bcond_without	curl		# manager support using libcurl
%bcond_without	cxx11		# C++11 regex support
%bcond_without	icu		# ICU for Unicode
%bcond_with	icusword	# custom SWORD ICU
%bcond_without	utilities	# sword utilities

%define debug_package 0

Summary:	The SWORD Project framework for manipulating Bible texts
Summary(pl.UTF-8):	Szkielet projektu SWORD do pracy nad tekstami biblijnymi
Name:		sword
Version:	1.7.4
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://www.crosswire.org/ftpmirror/pub/sword/source/v1.7/%{name}-%{version}.tar.gz
# Source0-md5:	1677f02a86cbf07713d4e1d4c39791e6
URL:		http://www.crosswire.org/sword
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	cppunit-devel >= 1.8.0
%{?with_clucene:BuildRequires:	clucene-core-devel >= 2.3}
%{?with_curl:BuildRequires:	curl-devel}
#%{?with_icu:BuildRequires:	icu}
%{?with_icusword:BuildRequires:	icu-sword}
%{?with_icu:BuildRequires:	libicu-devel}
BuildRequires:	libstdc++-devel %{?with_cxx11:>= 6:4.7}
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pakchois-devel
BuildRequires:	pkgconfig >= 1:0.14
BuildRequires:	sqlite3-devel
BuildRequires:	zlib-devel
%{?with_clucene:Requires:	clucene-core >= 2.3}
%{?with_curl:Requires:	curl}
%{?with_icu:Requires:	icu}
%{?with_icusword:Requires:	icu-sword}
Requires:	wwwbrowser
Requires:	zlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SWORD Project creates cross-platform open-source tools that allow
programmers and Bible societies to write new Bible software more
quickly and easily. The SWORD Bible Framework allows easy manipulation
of Bible texts, commentaries, lexicons, dictionaries, etc. Many
frontends are built using this framework. An installed module set may
be shared between any frontend using the framework.

%description -l pl.UTF-8
Projekt SWORD tworzy wieloplatformowe, mające otwarte źródła narzędzia
pozwalające programistom oraz badaczom biblijnym pisać nowe
oprogramowanie biblijne szybciej i łatwiej. Szkielet biblijny SWORD
pozwala na łatwe operowanie na biblijnych tekstach, komentarzach,
leksykonach, słownikach itp. W oparciu o ten szkielet powstaje wiele
interfejsów użytkownika. Zainstalowany zestaw modułów może być łatwo
współdzielony między interfejsami.

%package utilities
Summary:	Utility programs that use the sword library
Summary(pl.UTF-8):	Programy narzędziowe wykorzystujące bibliotekę sword
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Provides:	diatheke

%description utilities
Utility programs that use the sword library.

%description utilities -l pl.UTF-8
Programy narzędziowe wykorzystujące bibliotekę sword.

%package devel
Summary:	Include files for developing sword applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji sword
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.10.5
Requires:	zlib-devel

%description devel
Include files for developing sword applications. This package is
required to compile Sword frontends, too.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania plikacji sword. Ten pakiet jest
wymagany także do kompilowania interfejsów użytkownika sword.

%package static
Summary:	Static library for developing sword applications
Summary(pl.UTF-8):	Biblioteka statyczna do rozwijania aplikacji sword
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for developing sword applications.

%description static -l pl.UTF-8
Biblioteka statyczna do rozwijania aplikacji sword.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-conf \
	--with-clucene%{!?with_clucene:=no} \
	--with-curl%{!?with_curl:=no} \
	%{?with_cxx11:--with-cxx11regex} \
	--with-icu%{!?with_icu:=no} \
	%{?with_icusword:--with-icusword} \
	--disable-debug \
	--disable-dependency-tracking \
	--disable-examples \
	--disable-tests \
	--enable-utilities%{!?with_utilities:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-strip \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install_config \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsword.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL README
%attr(755,root,root) %{_libdir}/libsword-%{version}.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sword.conf
%dir %{_datadir}/sword
%dir %{_datadir}/sword/mods.d
%dir %{_datadir}/sword/locales.d
%{_datadir}/sword/mods.d/globals.conf
%{_datadir}/sword/locales.d/*.conf

%files utilities
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/diatheke
%attr(755,root,root) %{_bindir}/imp2gbs
%attr(755,root,root) %{_bindir}/imp2ld
%attr(755,root,root) %{_bindir}/imp2vs
%attr(755,root,root) %{_bindir}/installmgr
%attr(755,root,root) %{_bindir}/mkfastmod
%attr(755,root,root) %{_bindir}/mod2imp
%attr(755,root,root) %{_bindir}/mod2osis
%attr(755,root,root) %{_bindir}/mod2vpl
%attr(755,root,root) %{_bindir}/mod2zmod
%attr(755,root,root) %{_bindir}/osis2mod
%attr(755,root,root) %{_bindir}/tei2mod
%attr(755,root,root) %{_bindir}/vpl2mod
%attr(755,root,root) %{_bindir}/vs2osisref
%attr(755,root,root) %{_bindir}/vs2osisreftxt
%attr(755,root,root) %{_bindir}/xml2gbs

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libsword.so
%{_includedir}/sword
%{_pkgconfigdir}/sword.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsword.a
%changelog
* Sun May 22 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sword.git;a=log;h=master

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 7b7a43d
- updated to 1.7.4
- removed obsolete curl patch
- rebuild auto* for as-needed to work
- pl

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 3f51649
- icu-57.1 rebuild
- release 5 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 0ecb923
- release 4 (by relup.sh)

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> 8dc8da0
- release 3 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 115df1b
- icu rebuild
- release 2 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 4211460
- updated to 1.7.3
- xulrunner deps removed, there is no reference to it in source
- cleaned up spec

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ca08c35
- release 12 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9809023
- release 11 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 61b1ebf
- release 10 (by relup.sh)

* Wed Nov 21 2012 Jan Rękorajski <baggins@pld-linux.org> 44e0ecb
- release 9 (by relup.sh)

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b82dc9
- release 8 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> a8e5c9f
- Fix building with gcc 4.7 and new clucene
Release 7

* Fri Dec 02 2011 Caleb Maclennan <caleb@alerque.com> b4a0907
- Adapterized, updated description

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51a0367
- release 6

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ac19ea
- release 5

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> ea49ad8
- release 4

* Wed Jun 22 2011 Caleb Maclennan <caleb@alerque.com> f83c9fd
- BR: pakchois-devel, sqlite3-devel

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d54684a
- release 3

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 576c2a5
- release 2

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> e937b4c
- bconds should be the very first thing, moved defines and includes after them

